Method: nodes.devices.create

  • Creates a device under a node or customer using an HTTP POST request.

  • The request body should contain a Device object and the URL requires a parent path parameter specifying the node or customer.

  • If successful, the response body will contain the newly created Device object.

  • Requires https://www.googleapis.com/auth/userinfo.email OAuth scope for authorization.

Creates a device under a node or customer.

HTTP request

POST https://sasportal.googleapis.com/v1alpha1/{parent=nodes/*}/devices

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The name of the parent resource.

Request body

The request body contains an instance of Device.

Response body

If successful, the response body contains a newly created instance of Device.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/userinfo.email